interactions:
- request:
    body: '{"messages": [{"role": "user", "content": "Say hello in one sentence."}],
      "stream": false}'
    headers:
      Accept:
      - application/json
      Connection:
      - keep-alive
      Content-Length:
      - '90'
      Content-Type:
      - application/json
      User-Agent:
      - X-USER-AGENT-XXX
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      api-key:
      - X-API-KEY-XXX
      authorization:
      - AUTHORIZATION-XXX
      x-ms-client-request-id:
      - X-MS-CLIENT-REQUEST-ID-XXX
    method: POST
    uri: https://fake-azure-endpoint.openai.azure.com/openai/deployments/gpt-5.2-chat/chat/completions?api-version=2024-02-15-preview
  response:
    body:
      string: "{\"choices\":[{\"content_filter_results\":{\"hate\":{\"filtered\":false,\"severity\":\"safe\"},\"protected_material_code\":{\"detected\":false,\"filtered\":false},\"protected_material_text\":{\"detected\":false,\"filtered\":false},\"self_harm\":{\"filtered\":false,\"severity\":\"safe\"},\"sexual\":{\"filtered\":false,\"severity\":\"safe\"},\"violence\":{\"filtered\":false,\"severity\":\"safe\"}},\"finish_reason\":\"stop\",\"index\":0,\"logprobs\":null,\"message\":{\"annotations\":[],\"content\":\"Hello!
        \U0001F60A\",\"refusal\":null,\"role\":\"assistant\"}}],\"created\":1777483024,\"id\":\"chatcmpl-Da2oyIDHFopG5fmCKbhDiEYG5ciBN\",\"model\":\"gpt-5.2-chat-latest\",\"object\":\"chat.completion\",\"prompt_filter_results\":[{\"prompt_index\":0,\"content_filter_results\":{\"hate\":{\"filtered\":false,\"severity\":\"safe\"},\"jailbreak\":{\"detected\":false,\"filtered\":false},\"self_harm\":{\"filtered\":false,\"severity\":\"safe\"},\"sexual\":{\"filtered\":false,\"severity\":\"safe\"},\"violence\":{\"filtered\":false,\"severity\":\"safe\"}}}],\"service_tier\":\"default\",\"system_fingerprint\":null,\"usage\":{\"completion_tokens\":13,\"completion_tokens_details\":{\"accepted_prediction_tokens\":0,\"audio_tokens\":0,\"reasoning_tokens\":0,\"rejected_prediction_tokens\":0},\"prompt_tokens\":12,\"prompt_tokens_details\":{\"audio_tokens\":0,\"cached_tokens\":0},\"total_tokens\":25}}\n"
    headers:
      Content-Length:
      - '1233'
      Content-Type:
      - application/json
      Date:
      - Wed, 29 Apr 2026 17:17:05 GMT
      Strict-Transport-Security:
      - STS-XXX
      apim-request-id:
      - APIM-REQUEST-ID-XXX
      azureml-model-session:
      - AZUREML-MODEL-SESSION-XXX
      skip-error-remapping:
      - 'true'
      x-accel-buffering:
      - 'no'
      x-content-type-options:
      - X-CONTENT-TYPE-XXX
      x-ms-client-request-id:
      - X-MS-CLIENT-REQUEST-ID-XXX
      x-ms-deployment-name:
      - gpt-5.2-chat
      x-ms-is-spilled-over:
      - 'false'
      x-ms-rai-invoked:
      - 'true'
      x-ms-region:
      - X-MS-REGION-XXX
      x-ratelimit-abusepenalty-active:
      - 'False'
      x-ratelimit-key:
      - gpt-5.2-chat
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-renewalperiod-requests:
      - '60'
      x-ratelimit-renewalperiod-tokens:
      - '60'
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
version: 1
